if not exists(select * from sys.sysobjects where id = object_id(N'dbo.Report')) begin
  create table dbo.Report(
   ID uniqueidentifier constraint DF_Reports_ID default newid() not null,
   Name varchar(100) not null,
   ReportType int not null,
   FrequencyHours int not null,
   AtTime DateTime not null,
   Filter varchar(400) not null,
   constraint PK_Reports primary key clustered(ID)
 );
end;